#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EPartnerEventDisplayLocation {
    Invalid = 0,
    AppDetailsSpotlight = 1,
    LibraryOverview = 2,
    StoreAppPage = 3,
    EventScroller = 4,
    AppDetailsActivity = 5,
    CommunityHub = 6,
    StoreFrontPage = 7,
    NewsHub = 8,
    GamepadHome = 9,
    StoreHub = 10,
}

impl EPartnerEventDisplayLocation {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::AppDetailsSpotlight as i32 => Some(Self::AppDetailsSpotlight),
            x if x == Self::LibraryOverview as i32 => Some(Self::LibraryOverview),
            x if x == Self::StoreAppPage as i32 => Some(Self::StoreAppPage),
            x if x == Self::EventScroller as i32 => Some(Self::EventScroller),
            x if x == Self::AppDetailsActivity as i32 => Some(Self::AppDetailsActivity),
            x if x == Self::CommunityHub as i32 => Some(Self::CommunityHub),
            x if x == Self::StoreFrontPage as i32 => Some(Self::StoreFrontPage),
            x if x == Self::NewsHub as i32 => Some(Self::NewsHub),
            x if x == Self::GamepadHome as i32 => Some(Self::GamepadHome),
            x if x == Self::StoreHub as i32 => Some(Self::StoreHub),
            _ => None,
        }
    }
}
